//
//  TruthOrDareVC.swift
//  TruthOrDare
//
//  Created by Harit on 05/08/21.
//

import UIKit
import Koloda

struct apidata: Decodable
{
    let name: String?
}

class TruthOrDareVC: UIViewController {
    
    var arrdata = [apidata]()

    
    @IBOutlet var KolodaQueLabel: UILabel!
    @IBOutlet var KolodaQueView: KolodaView!
    @IBOutlet var TruthBtn: UIButton!
    @IBOutlet var DareBtn: UIButton!
    override func viewDidLoad() {
        super.viewDidLoad()
        
        KolodaQueView.layer.cornerRadius = 6
        
        
        TruthBtn.layer.cornerRadius = 6
        DareBtn.layer.cornerRadius = 6
        
        jsondata()
        
        KolodaQueView.delegate = self
        KolodaQueView.dataSource = self
        
        
    }
    
    
    
    @IBAction func TruthButtonClick(_ sender: UIButton)
    {
        KolodaQueView.swipe(SwipeResultDirection.left)
        /*let alert = UIAlertController(title: "title", message: "This is The Truth Button", preferredStyle: .alert)
        alert.addAction(UIAlertAction(title: "Ok", style: .default, handler: nil))
        self.present(alert, animated: true, completion: nil)*/
    }
    @IBAction func DareButtonClick(_ sender: UIButton)
    {
        KolodaQueView.swipe(SwipeResultDirection.right)
        /*let alert = UIAlertController(title: "title", message: "This is The Dare Button", preferredStyle: .alert)
        alert.addAction(UIAlertAction(title: "Ok", style: .default, handler: nil))
        self.present(alert, animated: true, completion: nil)*/
    }
    
    func jsondata()
    {
        let url = URL(string: "https://restcountries.eu/rest/v2/all")
        
        URLSession.shared.dataTask(with: url!) { (data, response, error) in
            do
            {
                if error == nil
                {
                    self.arrdata = try JSONDecoder().decode([apidata].self, from: data!)
                    for mainarr in self.arrdata
                    {
                        print(mainarr.name!)
                        DispatchQueue.main.async {
                            self.KolodaQueView.reloadData()
                        }
                    }
                }
            }catch{
                print("Error in parsing data")
            }
        }.resume()
    }    
}

extension TruthOrDareVC: KolodaViewDelegate
{
    func kolodaDidRunOutOfCards(_ koloda: KolodaView) {
        KolodaQueView.reloadData()
    }
}

extension TruthOrDareVC: KolodaViewDataSource
{
    
    func kolodaSpeedThatCardShouldDrag(_ koloda: KolodaView) -> DragSpeed {
        return .slow
    }
    
    func koloda(_ koloda: KolodaView, viewForCardAt index: Int) -> UIView {
        
        KolodaQueLabel.text = arrdata[index].name
        
        return KolodaQueLabel
    }
    
    func kolodaNumberOfCards(_ koloda: KolodaView) -> Int {
        return arrdata.count
    }
}
